Class | Rack::Auth::Basic
In: | lib/action_controller/vendor/rack-1.0/rack/auth/basic.rb
Parent: | AbstractHandler

Rack::Auth::Basic implements HTTP Basic Authentication, as per RFC 2617.

Initialize with the Rack application that you want protecting, and a block that checks if a username and password pair are valid.

See also: `example/protectedlobster.rb`

### Methods

call

### Classes and Modules

Class Rack::Auth::Basic::Request

### Public Instance methods

call(env)

[Validate]